#import "Common/ShaderLib/DeformationEffects.glsllib"

uniform mat4 g_WorldViewProjectionMatrix; 		//总变换矩阵

attribute vec3 inPosition;  		//顶点位置
attribute vec2 inTexCoord;    		//顶点纹理坐标

varying vec2 vTextureCoord;  		//用于传递给片元着色器的纹理坐标
varying vec3 vPosition;  			//用于传递给片元着色器的顶点位置

//uniform bool m_EnableDefEffectOfGrow;

// 目标宽高
uniform float m_TargetHalfWidth;
uniform float m_TargetHalfHeight;

// for cell click effect
uniform vec4 m_ParamHolder1;
uniform vec4 m_ParamHolder2;
uniform vec4 m_ParamHolder3;
uniform vec4 m_ParamHolder4;

void main() {

   // re- construct in future
   vec4 v =vec4(inPosition, 1.0);
   
   // 1
   if( v.x < m_TargetHalfWidth && v.y < m_TargetHalfHeight  ){
        v.x = v.x + m_ParamHolder3.x;
        v.y = v.y + m_ParamHolder3.y;
        v.z = v.z + m_ParamHolder3.z;
   }// 2
   else if( v.x > m_TargetHalfWidth && v.y < m_TargetHalfHeight   ){
        v.x = v.x + m_ParamHolder4.x;
        v.y = v.y + m_ParamHolder4.y;
        v.z = v.z + m_ParamHolder4.z;
   }// 3
   else if( v.x > m_TargetHalfWidth && v.y > m_TargetHalfHeight  ){
   		v.x = v.x + m_ParamHolder1.x;
   		v.y = v.y + m_ParamHolder1.y;
   		v.z = v.z + m_ParamHolder1.z;
   }// 4
   else if( v.x < m_TargetHalfWidth && v.y > m_TargetHalfHeight  ){
   		v.x = v.x + m_ParamHolder2.x;
   		v.y = v.y + m_ParamHolder2.y;
   		v.z = v.z + m_ParamHolder2.z;
   }
     
   gl_Position = g_WorldViewProjectionMatrix * v; 	//根据总变换矩阵计算此次绘制此顶点的位置
   vTextureCoord=inTexCoord;					//将顶点的纹理坐标传给片元着色器
  // vPosition=inPosition; 						//将顶点的位置传给片元着色器
}