#import "Common/ShaderLib/debug.glsllib"

precision mediump float;		//给出默认浮点精度
varying vec2 vTextureCoord;			//接收从顶点着色器传递过来的纹理坐标
varying vec3 vPosition;  				//接收从顶点着色器传递过来的顶点位置

uniform sampler2D m_DiffuseMap;		//纹理内容数据（外观）
uniform mat4 g_WorldMatrix; 				//变换矩阵
uniform vec3 g_CameraPosition;				//摄像机位置
uniform vec3 g_LightPosition;		//光源位置

uniform float m_DrawAlpha;

uniform float m_debug_color_r;
uniform float m_debug_color_g;
uniform float m_debug_color_b;

void main(){   
   vec4 finalColor=texture2D(m_DiffuseMap, vTextureCoord);	//根据纹理坐标采样出片元颜色值 
   //综合三个通道光的最终强度及片元的颜色计算出最终片元的颜色并传递给管线
   gl_FragColor = debug_color(finalColor, m_debug_color_r, m_debug_color_g, m_debug_color_b);
}