precision mediump float;		//给出默认浮点精度
varying vec2 vTextureCoord;			//接收从顶点着色器传递过来的纹理坐标
varying vec3 vPosition;  				//接收从顶点着色器传递过来的顶点位置

uniform sampler2D m_FrontMap;		//纹理内容数据（外观）
uniform sampler2D m_ReverseMap;		//纹理内容数据（外观）
uniform sampler2D m_BackMap;		//纹理内容数据（外观）
uniform sampler2D m_LightMap;		//纹理内容数据（外观）

uniform mat4 g_WorldMatrix; 				//变换矩阵
uniform vec3 g_CameraPosition;				//摄像机位置
uniform vec3 g_LightPosition;		//光源位置

uniform float m_BackAlpha;
uniform float m_DrawAlpha;
uniform float m_LightAlpha;

void main(){   
   vec4 finalColor2=texture2D(m_BackMap, vTextureCoord);	//根据纹理坐标采样出片元颜色值 
   
   if(m_BackAlpha >= 0.9){
       gl_FragColor = finalColor2;
   } else if(m_BackAlpha < 0.1){
       gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
   } else {
       gl_FragColor = (finalColor2 * m_BackAlpha);
   }     
   
   vec4 finalColor=texture2D(m_ReverseMap, vTextureCoord);	//根据纹理坐标采样出片元颜色值 
   
   if(m_DrawAlpha >= 0.9){
       gl_FragColor += finalColor;  
   }else{
       gl_FragColor += finalColor * m_DrawAlpha;
   }
   
   vec4 finalColor3=texture2D(m_LightMap, vTextureCoord);	//光线效果 
   if(m_LightAlpha >= 0.9){
       gl_FragColor += finalColor3;
   } else {
       gl_FragColor += finalColor3 * m_LightAlpha;
   }
   
 
}

