uniform mat4 g_WorldViewProjectionMatrix; 		//总变换矩阵

attribute vec3 inPosition;  		//顶点位置
attribute vec2 inTexCoord;    		//顶点纹理坐标

varying vec2 vTextureCoord;  		//用于传递给片元着色器的纹理坐标
varying vec3 vPosition;  			//用于传递给片元着色器的顶点位置


uniform float m_OffsetX;//本帧起始角度
uniform float m_WidthSpan;//横向长度总跨度

void main() {   
   float angleSpanH=m_OffsetX * 3.14;//横向角度总跨度   
   float startX=m_WidthSpan/2.0;//起始X坐标
   float tz = 0.0;    
   float xlen = 0.0;
   float dis = -(inPosition.x-startX);
   xlen = dis;
   
   if(m_OffsetX < 0.0){
       if(inPosition.x > startX){
           tz = dis * sin(angleSpanH);
           xlen = dis * cos(angleSpanH);
       }
   }else if(m_OffsetX > 0.0){
       if(inPosition.x < startX){
           tz = dis * sin(angleSpanH);
           xlen = dis * cos(angleSpanH);
           
       }
   }    
   gl_Position = g_WorldViewProjectionMatrix * vec4(startX-xlen,inPosition.y,tz,1); 
   //gl_Position = g_WorldViewProjectionMatrix * vec4(inPosition,1); 	//根据总变换矩阵计算此次绘制此顶点的位置
   vTextureCoord=inTexCoord;					//将顶点的纹理坐标传给片元着色器
   vTextureCoord.y = -vTextureCoord.y;
   vPosition=inPosition; 						//将顶点的位置传给片元着色器
}

                
