uniform mat4 g_WorldViewProjectionMatrix; 		//总变换矩阵

attribute vec3 inPosition;  		//顶点位置
attribute vec2 inTexCoord;    		//顶点纹理坐标

varying vec2 vTextureCoord;  		//用于传递给片元着色器的纹理坐标
varying vec3 vPosition;  			//用于传递给片元着色器的顶点位置

/*
void main() {     
   gl_Position = g_WorldViewProjectionMatrix * vec4(inPosition,1); 	//根据总变换矩阵计算此次绘制此顶点的位置
   vTextureCoord=inTexCoord;					//将顶点的纹理坐标传给片元着色器
   vTextureCoord.y = -vTextureCoord.y;
   vPosition=inPosition; 						//将顶点的位置传给片元着色器
}
*/

uniform float m_StartAngle;//本帧起始角度
uniform float m_WidthSpan;//横向长度总跨度

void main()     
{                  
   //计算X向角度          		
   float angleSpanH=4.0*3.14159265;//横向角度总跨度   
   float startX=-m_WidthSpan/2.0;//起始X坐标
   //根据横向角度总跨度、横向长度总跨度及当前点X坐标折算出当前点X坐标对应的角度
   float currAngleH=m_StartAngle+((inPosition.x-startX)/m_WidthSpan)*angleSpanH;
   
   //计算出随Y向发展起始角度的扰动值
   float angleSpanZ=4.0*3.14159265;//纵向角度总跨度 
   float uHeightSpan=0.75*m_WidthSpan;//纵向长度总跨度
   float startY=-uHeightSpan/2.0;//起始Y坐标
   //根据纵向角度总跨度、纵向长度总跨度及当前点Y坐标折算出当前点Y坐标对应的角度
   float currAngleZ=((inPosition.y-startY)/uHeightSpan)*angleSpanZ;
      
   //计算斜向波浪
   float tzH=sin(currAngleH-currAngleZ)*20.0;   
   //根据总变换矩阵计算此次绘制此顶点位置
   gl_Position = g_WorldViewProjectionMatrix * vec4(inPosition.x,inPosition.y,tzH,1); 
   vTextureCoord = inTexCoord;//将接收的纹理坐标传递给片元着色器
   vTextureCoord.y = -vTextureCoord.y;
}       

