precision mediump float;		//给出默认浮点精度
varying vec2 vTextureCoord;			//接收从顶点着色器传递过来的纹理坐标
varying vec3 vPosition;  				//接收从顶点着色器传递过来的顶点位置

uniform sampler2D m_FrontMap;		//纹理内容数据（外观）
uniform sampler2D m_ReverseMap;		//纹理内容数据（外观）
uniform sampler2D m_BackMap;		//纹理内容数据（外观）

uniform mat4 g_WorldMatrix; 				//变换矩阵
uniform vec3 g_CameraPosition;				//摄像机位置
uniform vec3 g_LightPosition;		//光源位置

uniform float m_BackAlpha;

void main(){   
   vec4 finalColor2=texture2D(m_BackMap, vTextureCoord);	//根据纹理坐标采样出片元颜色值 
     
   if(m_BackAlpha >= 0.9){
       gl_FragColor = finalColor2;
   }else{
       gl_FragColor = finalColor2 * m_BackAlpha;
   }     
   
   vec4 finalColor=texture2D(m_ReverseMap, vTextureCoord);	//根据纹理坐标采样出片元颜色值 
   gl_FragColor += finalColor;   
      
   /*
   if(gl_FrontFacing){
      vec4 finalColor1=texture2D(m_FrontMap, vec2(-vTextureCoord.x, vTextureCoord.y));	//根据纹理坐标采样出片元颜色值 
      gl_FragColor += finalColor1;

   }else{
      vec4 finalColor=texture2D(m_ReverseMap, vTextureCoord);	//根据纹理坐标采样出片元颜色值 
      gl_FragColor += finalColor;      

   }
   */
}

